/* ---------------------------------------------------------------------------
Programme : ex5SIF1015.C
Langage   : C sur UNIX
Date      : Septembre 2001

Auteur    : F. Meunier

Ce programme permet de creer deux processus

processus pere affiche un a
processus fils affiche un b
--------------------------------------------------------------------------- */

#include <stdio.h>
#include <unistd.h>

/* ---------------------------------------------------------------------------
Programme principal.
--------------------------------------------------------------------------- */
void main (void)
{
  pid_t fork(void), val;
  void affiche_a(void), affiche_b(void);

  val = fork();
  
  if(val == -1)
     printf("Probleme de duplication");
  else if(val == 0)
     affiche_a();
  else
     affiche_b();
  
} /* main */

void affiche_a()
{
   while(1)
      printf("a\n");
}

void affiche_b()
{
   while(1)
      printf("b\n");
}


